Solved: Libpangox-1.0 is missing in Fedora 34

Hello,

I wanted to install my printer Canon MX925 with the driver from canon website.
But when I try to install I get this error (missing dependency):

Fehler: Fehlgeschlagene Abhängigkeiten:
	libpangox-1.0.so.0()(64bit) wird benötigt von cnijfilter-mx920series-3.90-1.x86_64

Some fedora versions ago I was able to install pangox-compat to solve this problem. But this package isn´t availible anymore.

How can I install the printer nevertheless?

I am using Fedora 34 with GNOME 40.3

pangox has been dead for a really long time.

You could installing the pangox-compat from an older version of fedora and see if it happens to work.

If that doesn’t work, you could try building it yourself from the original source Archive / pangox-compat · GitLab

Given that it hasn’t been updated in 6 years may mean that is a non-trivial proposition.

oh, okay.
Thanks. Do you know how to find the older version of pangox-compat?

Here is one from F31, I am not sure if there is a newer one out there or not.

https://kojipkgs.fedoraproject.org//packages/pangox-compat/0.0.2/15.fc31/x86_64/

1 Like

Big Thanks to you! It´s working again now.

He is printing :smile:

1 Like